Skip to main content
`Ctrl`+`K`

# DMNetworkAssembleGraphStructures

Assembles vertex and edge data structures. Must be called after `DMNetworkDistribute()`

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkAssembleGraphStructures(DM dm)

Collective

## Input Parameter

- dm - the `DMNETWORK` Object

## Note

The routine will create alternative orderings for the vertices and edges. Assume global network points are:

points = [0 1 2 3 4 5 6]

where edges = [0,1,2,3] and vertices = [4,5,6]. The new orderings will be specific to the subset (i.e vertices = [0,1,2] <- [4,5,6]).

With this new ordering a local `PetscSection`, global `PetscSection` and`PetscSF` will be created specific to the subset.

## See Also

`DMNetworkDistribute()`

## Level

intermediate

## Location

src/dm/impls/network/network.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages